#include "LcdI2C.h"

LcdI2C::LcdI2C(int adress, int col, int row) : lcd(adress, col, row)
{
    lcd.init();
    lcd.clear();
    lcd.noBacklight();
}

void LcdI2C::streamToDisplay(int row, String message)
{
    int stringlength = message.length();

    for (int i = 0; i < stringlength; i++)
    {
        lcd.setCursor(i, row);
        lcd.println(String(message.charAt(i)));
    }
}

void LcdI2C::displayLCD(String temp, String humid)
{
    // handles screentime
    // if screentime is not 0 display
    if (screentime >= 0)
    {
        screentime = screentime - 1;

        lcd.backlight();

        if (humid != lastHumid && temp != lastTemp)
        {
            lcd.clear();

            lastTemp = temp;
            lastHumid = humid;

            LcdI2C::streamToDisplay(0, temp);
            LcdI2C::streamToDisplay(1, humid);
        }
    }
    else
    {
        lcd.noBacklight();
    }
}

void LcdI2C::setDisplayTime(){
    screentime = 15000;
}