#include <LiquidCrystal_I2C.h>
#include <Adafruit_Sensor.h>
#include <DHT.h>
#include <Sen.h>
#include <LcdI2C.h>

// define pins
int screenwakeup = 14;
#define DHTPIN 12
#define DHTTYPE DHT11
#define lcdColumns 16
#define lcdRows 2

// software config
int loopDelay = 1;

// setup screen
Sen dhtSensor(DHTPIN, DHTTYPE);
LcdI2C lcd(0x3F, lcdColumns, lcdRows);

void setup()
{
  Serial.begin(115200);
  pinMode(screenwakeup, INPUT);
}

void loop()
{
  float temperature = dhtSensor.getTemp();
  float humidity = dhtSensor.getHumid();

  String temp = "Temp: " + String(temperature) + String(char(223)) + "C   ";
  String humid = "Humidity: " + String(humidity) + "%  ";
  
  if (digitalRead(screenwakeup) == HIGH)
  {
    lcd.setDisplayTime();
  }

  lcd.displayLCD(temp, humid);

  // ensure the loop only runs once per millisecond
  delay(loopDelay);
}